oyValue_u Union Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Public Member Functions | Data Fields
oyValue_u Union Reference
Miscellaneous » Values Handling

a value More...

`#include <oyOption_s.h>`

Collaboration diagram for oyValue_u:

## Public Member Functions
void | oyValueCopy (oyValue_u *to, oyValue_u *from, oyVALUETYPE_e type, oyAlloc_f allocateFunc, oyDeAlloc_f deallocateFunc)
| copy a oyValue_u union More...
int | oyValueEqual (oyValue_u *a, oyValue_u *b, oyVALUETYPE_e type, int pos)
| compare a oyValue_u union More...
void | oyValueClear (oyValue_u *v, oyVALUETYPE_e type, oyDeAlloc_f deallocateFunc)
| clear a oyValue_u union More...
void | oyValueRelease (oyValue_u **v, oyVALUETYPE_e type, oyDeAlloc_f deallocateFunc)
| release a oyValue_u union More...
const char * | oyValueTypeText (oyVALUETYPE_e type)
| obtain a short string about union type More...

## Data Fields
int32_t * | int32_list
double * | dbl_list
char * | string
char ** | string_list
oyStruct_s * | oy_struct

## Detailed Description

a value

See also
  oyVALUETYPE_e

Version
  Oyranos: 0.1.8

Since
  2008/02/16 (Oyranos: 0.1.x)

Date
  2008/02/16

## Member Function Documentation

## ◆ oyValueClear()

void oyValueClear | ( | oyValue_u * | v,
|  | oyVALUETYPE_e | type,
|  | oyDeAlloc_f | deallocateFunc
| ) |  |

clear a oyValue_u union

Function oyValueClear

Version
  Oyranos: 0.1.8

Since
  2008/06/26 (Oyranos: 0.1.8)

Date
  2008/06/26

References int32_list, oy_struct, oyVAL_DOUBLE, oyVAL_DOUBLE_LIST, oyVAL_INT, oyVAL_INT_LIST, oyVAL_STRING, oyVAL_STRING_LIST, oyVAL_STRUCT, oyStruct_s::release, string, and string_list.

Referenced by oyValueRelease().

## ◆ oyValueCopy()

void oyValueCopy | ( | oyValue_u * | to,
|  | oyValue_u * | from,
|  | oyVALUETYPE_e | type,
|  | oyAlloc_f | allocateFunc,
|  | oyDeAlloc_f | deallocateFunc
| ) |  |

copy a oyValue_u union

Function oyValueCopy

Version
  Oyranos: 0.1.8

Since
  2008/06/26 (Oyranos: 0.1.8)

Date
  2008/06/26

References int32_list, oyVAL_INT, and oyVAL_INT_LIST.

## ◆ oyValueEqual()

int oyValueEqual | ( | oyValue_u * | a,
|  | oyValue_u * | b,
|  | oyVALUETYPE_e | type,
|  | int | pos
| ) |  |

compare a oyValue_u union

Function oyValueEqual

Parameters

  a | value a
  b | value b
  type | the value type to comare in a and b
  pos | position in list; -1 compare all return 0 - not equal; 1 - equal

Version
  Oyranos: 0.9.6

Date
  2016/12/07

Since
  2010/04/11 (Oyranos: 0.1.10)

References dbl_list, int32_list, oy_struct, oyBlob_s::oyBlob_GetPointer(), oyOBJECT_BLOB_S, oyOBJECT_POINTER_S, oyVAL_DOUBLE, oyVAL_DOUBLE_LIST, oyVAL_INT, oyVAL_INT_LIST, oyVAL_STRING, oyVAL_STRING_LIST, oyVAL_STRUCT, string, string_list, and oyStruct_s::type_.

## ◆ oyValueRelease()

void oyValueRelease | ( | oyValue_u ** | v,
|  | oyVALUETYPE_e | type,
|  | oyDeAlloc_f | deallocateFunc
| ) |  |

release a oyValue_u union

Function oyValueRelease

Version
  Oyranos: 0.1.8

Since
  2008/06/26 (Oyranos: 0.1.8)

Date
  2008/06/26

References oyValueClear().

Referenced by oyOption_s::oyOption_Clear().

## ◆ oyValueTypeText()

const char * oyValueTypeText | ( | oyVALUETYPE_e | type | ) |

obtain a short string about union type

Function oyValueTypeText

Version
  Oyranos: 0.1.8

Since
  2008/06/26 (Oyranos: 0.1.8)

Date
  2008/06/26

References oyVAL_DOUBLE, oyVAL_DOUBLE_LIST, oyVAL_INT, oyVAL_INT_LIST, oyVAL_STRING, oyVAL_STRING_LIST, and oyVAL_STRUCT.

## Field Documentation

## ◆ dbl_list

double* oyValue_u::dbl_list

first is element number of dbl list

Referenced by oyValueEqual().

## ◆ int32_list

int32_t* oyValue_u::int32_list

first is element number of int32 list

Referenced by oyValueClear(), oyValueCopy(), and oyValueEqual().

## ◆ oy_struct

oyStruct_s* oyValue_u::oy_struct

a struct, e.g. a profile, or oyBlob_s for a data pointer

Referenced by oyValueClear(), and oyValueEqual().

## ◆ string

char* oyValue_u::string

null terminated

Referenced by oyValueClear(), and oyValueEqual().

## ◆ string_list

char** oyValue_u::string_list

null terminated

Referenced by oyValueClear(), and oyValueEqual().